<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Intriduction</title>

	<!-- EXTERNAL CSS -->
	<!-- link tag is used to link external resources such as css, or even fonts -->
	<!-- external css is the best implementation of css, because not only can we style multiple elements in page, we can also style multiple elements in multiple pages. It lessens load time for you HTML and its content. -->

	<link rel="stylesheet" type="text/css" href="./index.css">



	<!-- INTERNAL CSS

		Used to we an apply style to multiple elements in a single page. 

		It makes your code and html take longer to display.
	-->


<style type="text/css">
		h1 {
			color: pink;
		}
	</style>

	

</head>
<body>
	<!--INLINE CSS/Styling

		Inline styling is the implemenation of style to an HTML element through the style attribute.

		The value of the style attribute are the properties of an element we can style.

		The value before the colon(:) is the element's property.

		The property's value is added after the  colon

		Syntax:
		tag style="property:value;">text</tag>

		CSS stylings or rules ends in a semi-colon. Failing to do so makes your CSS erroneous and even affects other properties and rules you may add.

		The bulkier your code becomes because of inline css or styling, the more prone it is for errors.

		The longer and bulkier your html file gets, the slower it is to load and display your content.


		SAMPLE:
		<h1 style="color:red; font-size: 50px; background-color: yellow;">Welcome to the World of CSS!</h1>

		Priority Level: 
		Inline CSS > Internal CSS > External CSS

		!important adds more priority to a declaration

	 -->

	 <!-- NAVBAR -->
	 <nav id="top">
	 	<a href="#landing">Zuitt</a>
	 	<div>
	 		<a href="#landing"> Landing</a>
	 		<a href="#register">Register</a>
	 	</div>
	 </nav>

	
	<h1>Hello World</h1>
	
	<!-- class attribute allows us to group elements and style them together.
	Meaning, any element with the same class can be styled and designed together. We can create our own classes. -->
	<section id="landing">
		<h2>Welcome to Zuitt!</h2>

	<!-- id attribute allows us to add a unique identifier to particular element. -->
	

	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	<img src="https://place-puppy.com/450x450">

	<ol id="bootcamp-learning-list">
		<li>Day Classes</li>
		<li class="offering-item">Night Classes</li>
		<li class="offering-item">Intro to Coding Events</li>
		
	</ol>
	<a href="#top">Back to Top</a>
	</section>

	

	<!-- You can add an element's id as href for an anchor to be able to navigate to particular element within your page.
	 -->

<section id="register">
	<!-- Register -->
<h2>Register</h2>

	<form>
		<label for="first-name">First Name</label>
		<input type="text" id="first-name" required autocomplete="">

		<label for="last-name">Last Name</label>
		<input type="text" id="last-name" required autocomplete="">

		<label for="email">Email</label>
		<input type="email" id="email" required autocomplete="">

		<button type="submit">Apply Now</button>
	</form>

<a href="#top">Back to Top</a>
</section>

</body>
</html>